memory File Reference
Utilities » Memory

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_addressof_constexpr
#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_assume_aligned
#define | __glibcxx_want_atomic_shared_ptr
#define | __glibcxx_want_atomic_value_initialization
#define | __glibcxx_want_constexpr_dynamic_alloc
#define | __glibcxx_want_constexpr_memory
#define | __glibcxx_want_enable_shared_from_this
#define | __glibcxx_want_make_unique
#define | __glibcxx_want_out_ptr
#define | __glibcxx_want_parallel_algorithm
#define | __glibcxx_want_ranges
#define | __glibcxx_want_raw_memory_algorithms
#define | __glibcxx_want_shared_ptr_arrays
#define | __glibcxx_want_shared_ptr_weak_type
#define | __glibcxx_want_smart_ptr_for_overwrite
#define | __glibcxx_want_to_address
#define | __glibcxx_want_transparent_operators
#define | _GLIBCXX_MEMORY

## Enumerations

enum class | std::pointer_safety { relaxed , preferred , strict }

## Functions

void | std::declare_no_pointers (char *, size_t)
void | std::declare_reachable (void *)
pointer_safety | std::get_pointer_safety () noexcept
void | std::undeclare_no_pointers (char *, size_t)
template<typename _Tp>
_Tp * | std::undeclare_reachable (_Tp *__p)

## Detailed Description

This is a Standard C++ Library header.

Definition in file memory.

## Macro Definition Documentation

## __glibcxx_want_addressof_constexpr

#define __glibcxx_want_addressof_constexpr

Definition at line 98 of file memory.

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 99 of file memory.

## __glibcxx_want_assume_aligned

#define __glibcxx_want_assume_aligned

Definition at line 100 of file memory.

## __glibcxx_want_atomic_shared_ptr

#define __glibcxx_want_atomic_shared_ptr

Definition at line 101 of file memory.

## __glibcxx_want_atomic_value_initialization

#define __glibcxx_want_atomic_value_initialization

Definition at line 102 of file memory.

## __glibcxx_want_constexpr_dynamic_alloc

#define __glibcxx_want_constexpr_dynamic_alloc

Definition at line 103 of file memory.

## __glibcxx_want_constexpr_memory

#define __glibcxx_want_constexpr_memory

Definition at line 104 of file memory.

## __glibcxx_want_enable_shared_from_this

#define __glibcxx_want_enable_shared_from_this

Definition at line 105 of file memory.

## __glibcxx_want_make_unique

#define __glibcxx_want_make_unique

Definition at line 106 of file memory.

## __glibcxx_want_out_ptr

#define __glibcxx_want_out_ptr

Definition at line 107 of file memory.

## __glibcxx_want_parallel_algorithm

#define __glibcxx_want_parallel_algorithm

Definition at line 108 of file memory.

## __glibcxx_want_ranges

#define __glibcxx_want_ranges

Definition at line 109 of file memory.

## __glibcxx_want_raw_memory_algorithms

#define __glibcxx_want_raw_memory_algorithms

Definition at line 110 of file memory.

## __glibcxx_want_shared_ptr_arrays

#define __glibcxx_want_shared_ptr_arrays

Definition at line 111 of file memory.

## __glibcxx_want_shared_ptr_weak_type

#define __glibcxx_want_shared_ptr_weak_type

Definition at line 112 of file memory.

## __glibcxx_want_smart_ptr_for_overwrite

#define __glibcxx_want_smart_ptr_for_overwrite

Definition at line 113 of file memory.

## __glibcxx_want_to_address

#define __glibcxx_want_to_address

Definition at line 114 of file memory.

## __glibcxx_want_transparent_operators

#define __glibcxx_want_transparent_operators

Definition at line 115 of file memory.

## _GLIBCXX_MEMORY

#define _GLIBCXX_MEMORY

Definition at line 45 of file memory.